{
  "columns":
  ["", "ALUTs", "FFs", "RAMs", "DSPs", "MLABs", "Details"]
  , "debug_enabled":"true"
  , "type":"module"
  , "total_percent":
  [22.5928, 12.1356, 11.2497, 12.3125, 6.85112]
  , "total":
  [89352, 177205, 312, 104, 311]
  , "name":"Kernel System"
  , "max_resources":
  [787534, 1575200, 2534, 1518, 39376]
  , "children":
  [
    {
      "name":"Static Partition"
      , "type":"partition"
      , "children":
      [
        {
          "name":"Board interface"
          , "type":"resource"
          , "data":
          [66866, 133600, 179, 0, 0]
          , "details":
          [
            {
              "type":"text"
              , "text":"Platform interface logic."
            }
          ]
        }
      ]
    }
    , {
      "name":"Global interconnect"
      , "type":"resource"
      , "data":
      [4121, 5284, 0, 0, 0]
      , "details":
      [
        {
          "type":"text"
          , "text":"Global interconnect for 2 global loads and 1 global store. Reduce number of global loads and stores to simplify global interconnect."
        }
        , {
          "type":"brief"
          , "text":"For 2 global loads and 1 global store."
        }
        , {
          "type":"text"
          , "text":"See %L for more information"
          , "links":
          [
            {
              "guide":"Best Practices Guide : Global Memory Interconnect"
              , "link":"https://www.altera.com/documentation/mwh1391807516407.html#hnj1476724450050"
            }
          ]
        }
      ]
    }
    , {
      "name":"System description ROM"
      , "type":"resource"
      , "data":
      [0, 67, 2, 0, 0]
      , "details":
      [
        {
          "type":"text"
          , "text":"This read-only memory contains information for the host about the system and about each kernel in the system, including kernel names, arguments, and attributes.  The system description ROM ensures that the binary image on the FPGA is compatible with the host program."
        }
        , {
          "type":"brief"
          , "text":"Contains information for the host."
        }
      ]
    }
    , {
      "name":"conv"
      , "compute_units":1
      , "type":"function"
      , "total_percent":
      [5.2999, 3.12177, 2.42852, 5.16969, 6.85112]
      , "total_kernel_resources":
      [18365, 38254, 131, 103.5, 311]
      , "details":
      [
        {
          "type":"text"
          , "text":"Number of compute units: 1"
        }
        , {
          "type":"brief"
          , "text":"1 compute unit."
        }
      ]
      , "children":
      [
        {
          "name":"Function overhead"
          , "type":"resource"
          , "data":
          [1338, 2411, 0, 0, 10]
          , "details":
          [
            {
              "type":"text"
              , "text":"Kernel dispatch logic."
            }
            , {
              "type":"brief"
              , "text":"Kernel dispatch logic."
            }
          ]
        }
        , {
          "name":"Coalesced Private Variables: \n - 'sum' (conv_gen_shift5.cl:13)\n - 'running_sum_0' (conv_gen_shift5.cl:56)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":13
              }
            ]
            , [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":56
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Coalesced Private Variables: \n - 'sum' (conv_gen_shift5.cl:13)\n - 'running_sum_1' (conv_gen_shift5.cl:57)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":13
              }
            ]
            , [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":57
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Coalesced Private Variables: \n - 'sum' (conv_gen_shift5.cl:13)\n - 'running_sum_2' (conv_gen_shift5.cl:58)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":13
              }
            ]
            , [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":58
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Coalesced Private Variables: \n - 'sum' (conv_gen_shift5.cl:13)\n - 'running_sum_3' (conv_gen_shift5.cl:59)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":13
              }
            ]
            , [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":59
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Coalesced Private Variables: \n - 'sum' (conv_gen_shift5.cl:13)\n - 'running_sum_4' (conv_gen_shift5.cl:60)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":13
              }
            ]
            , [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":60
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Coalesced Private Variables: \n - 'sum' (conv_gen_shift5.cl:13)\n - 'running_sum_5' (conv_gen_shift5.cl:61)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":13
              }
            ]
            , [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":61
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'd' (conv_gen_shift5.cl:16)"
          , "type":"resource"
          , "data":
          [24, 101, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":16
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'inp' (conv_gen_shift5.cl:15)"
          , "type":"resource"
          , "data":
          [22, 783, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":15
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Shift Register (2 or fewer tap points)"
            }
            , {
              "type":"text"
              , "text":"1 register of width 3 and depth 1"
            }
            , {
              "type":"text"
              , "text":"1 register of width 256 and depth 3"
            }
            , {
              "type":"brief"
              , "text":"Shift Register,\n1 reg, 3 width by 1 depth,\n1 reg, 256 width by 3 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'k' (conv_gen_shift5.cl:18)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":18
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'r' (conv_gen_shift5.cl:41)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":41
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'sum' (conv_gen_shift5.cl:13)"
          , "type":"resource"
          , "data":
          [168, 864, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":13
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"24 registers of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n24 regs, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'y' (conv_gen_shift5.cl:119)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":119
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'y' (conv_gen_shift5.cl:54)"
          , "type":"resource"
          , "data":
          [7, 36, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":54
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"Private Variable: \n - 'z' (conv_gen_shift5.cl:18)"
          , "type":"resource"
          , "data":
          [24, 101, 0, 0, 0]
          , "debug":
          [
            [
              {
                "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                , "line":18
              }
            ]
          ]
          , "details":
          [
            {
              "type":"text"
              , "text":"Type: Register"
            }
            , {
              "type":"text"
              , "text":"1 register of width 32 and depth 1"
            }
            , {
              "type":"brief"
              , "text":"Register,\n1 reg, 32 width by 1 depth"
            }
          ]
        }
        , {
          "name":"conv.B0"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"State"
              , "type":"resource"
              , "data":
              [3, 99, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Live values and control logic"
                }
                , {
                  "type":"text"
                  , "text":"Resources for live values and control logic. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce size of local variables"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce scope of local variables, localizing them as much as possible"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce number of nested loops"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [3, 64, 0, 0, 0]
                }
                , {
                  "name":"conv_gen_shift5.cl:21"
                  , "type":"resource"
                  , "data":
                  [0, 34, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":21
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:41"
                  , "type":"resource"
                  , "data":
                  [0, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":41
                      }
                    ]
                  ]
                }
              ]
            }
            , {
              "name":"Feedback"
              , "type":"resource"
              , "data":
              [8, 2, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Loop-carried dependencies"
                }
                , {
                  "type":"text"
                  , "text":"Resources for loop-carried dependencies. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce number and size of loop-carried variables"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [8, 2, 0, 0, 0]
                }
              ]
            }
            , {
              "name":"Cluster logic"
              , "type":"resource"
              , "data":
              [18, 27, 0, 0, 1]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Logic required to efficiently support sets of operations that do not stall"
                }
                , {
                  "type":"text"
                  , "text":"Logic required to efficiently support sets of operations that do not stall. This area cannot be affected directly."
                }
              ]
            }
            , {
              "name":"Computation"
              , "type":"resource"
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [1, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":""
                        , "line":0
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:20"
                  , "type":"resource"
                  , "data":
                  [64, 0, 0, 3, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":20
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Multiply"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [64, 0, 0, 3, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:21"
                  , "type":"resource"
                  , "data":
                  [76, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":21
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Compare"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [11, 0, 0, 0, 0]
                    }
                    , {
                      "name":"33-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [33, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:41"
                  , "type":"resource"
                  , "data":
                  [36, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":41
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit And"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Compare"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [35, 1, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
              ]
            }
          ]
        }
        , {
          "name":"conv.B1"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"State"
              , "type":"resource"
              , "data":
              [42, 238, 0, 0, 2]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Live values and control logic"
                }
                , {
                  "type":"text"
                  , "text":"Resources for live values and control logic. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce size of local variables"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce scope of local variables, localizing them as much as possible"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce number of nested loops"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [42, 238, 0, 0, 2]
                }
              ]
            }
            , {
              "name":"Feedback"
              , "type":"resource"
              , "data":
              [18, 44, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Loop-carried dependencies"
                }
                , {
                  "type":"text"
                  , "text":"Resources for loop-carried dependencies. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce number and size of loop-carried variables"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [1, 0, 0, 0, 0]
                }
                , {
                  "name":"conv_gen_shift5.cl:129"
                  , "type":"resource"
                  , "data":
                  [1.75, 9.25, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":129
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:131"
                  , "type":"resource"
                  , "data":
                  [0.333333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":131
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:132"
                  , "type":"resource"
                  , "data":
                  [0.333333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":132
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:136"
                  , "type":"resource"
                  , "data":
                  [0.333333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":136
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:138"
                  , "type":"resource"
                  , "data":
                  [1.75, 9.25, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":138
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:140"
                  , "type":"resource"
                  , "data":
                  [0.5, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":140
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:141"
                  , "type":"resource"
                  , "data":
                  [0.333333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":141
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:143"
                  , "type":"resource"
                  , "data":
                  [1.75, 9.25, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":143
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:16"
                  , "type":"resource"
                  , "data":
                  [0.5, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":16
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:18"
                  , "type":"resource"
                  , "data":
                  [0.666667, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":18
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:21"
                  , "type":"resource"
                  , "data":
                  [8.75, 16.25, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":21
                      }
                    ]
                  ]
                }
              ]
            }
            , {
              "name":"Cluster logic"
              , "type":"resource"
              , "data":
              [15, 22, 0, 0, 9]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Logic required to efficiently support sets of operations that do not stall"
                }
                , {
                  "type":"text"
                  , "text":"Logic required to efficiently support sets of operations that do not stall. This area cannot be affected directly."
                }
              ]
            }
            , {
              "name":"Computation"
              , "type":"resource"
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [27, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":""
                        , "line":0
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"33-bit Select"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [27, 0, 0, 0, 0]
                    }
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:21"
                  , "type":"resource"
                  , "data":
                  [9.25, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":21
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                    , {
                      "name":"33-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [8.25, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:50"
                  , "type":"resource"
                  , "data":
                  [32, 0, 0, 1.5, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":50
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Multiply"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 1.5, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:75"
                  , "type":"resource"
                  , "data":
                  [95, 0, 0, 1.5, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":75
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [63, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Multiply"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 1.5, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:129"
                  , "type":"resource"
                  , "data":
                  [99.25, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":129
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [64, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Compare"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [11, 1, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Select"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [16, 0, 0, 0, 0]
                    }
                    , {
                      "name":"33-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [8.25, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:136"
                  , "type":"resource"
                  , "data":
                  [32, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":136
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:138"
                  , "type":"resource"
                  , "data":
                  [67.25, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":138
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Compare"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [11, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Select"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [16, 0, 0, 0, 0]
                    }
                    , {
                      "name":"33-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [8.25, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:143"
                  , "type":"resource"
                  , "data":
                  [8.25, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":143
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"33-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [8.25, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
              ]
            }
          ]
        }
        , {
          "name":"conv.B2"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"State"
              , "type":"resource"
              , "data":
              [101, 463, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Live values and control logic"
                }
                , {
                  "type":"text"
                  , "text":"Resources for live values and control logic. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce size of local variables"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce scope of local variables, localizing them as much as possible"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce number of nested loops"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [101, 463, 0, 0, 0]
                }
              ]
            }
            , {
              "name":"Feedback"
              , "type":"resource"
              , "data":
              [56, 192, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Loop-carried dependencies"
                }
                , {
                  "type":"text"
                  , "text":"Resources for loop-carried dependencies. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce number and size of loop-carried variables"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"conv_gen_shift5.cl:131"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":131
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:132"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":132
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:136"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":136
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:140"
                  , "type":"resource"
                  , "data":
                  [4, 18, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":140
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:141"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":141
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:16"
                  , "type":"resource"
                  , "data":
                  [4, 18, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":16
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:18"
                  , "type":"resource"
                  , "data":
                  [5.33333, 24, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":18
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:21"
                  , "type":"resource"
                  , "data":
                  [8, 5, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":21
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:41"
                  , "type":"resource"
                  , "data":
                  [8, 7, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":41
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:50"
                  , "type":"resource"
                  , "data":
                  [8, 36, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":50
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:75"
                  , "type":"resource"
                  , "data":
                  [8, 36, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":75
                      }
                    ]
                  ]
                }
              ]
            }
            , {
              "name":"Cluster logic"
              , "type":"resource"
              , "data":
              [15, 22, 0, 0, 14]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Logic required to efficiently support sets of operations that do not stall"
                }
                , {
                  "type":"text"
                  , "text":"Logic required to efficiently support sets of operations that do not stall. This area cannot be affected directly."
                }
              ]
            }
            , {
              "name":"Computation"
              , "type":"resource"
              , "children":
              [
                {
                  "name":"conv_gen_shift5.cl:41"
                  , "type":"resource"
                  , "data":
                  [44, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":41
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Compare"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [11, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:50"
                  , "type":"resource"
                  , "data":
                  [5527, 6843, 43, 0, 15]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":50
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [64, 0, 0, 0, 0]
                    }
                    , {
                      "name":"Load"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [5463, 6843, 43, 0, 15]
                      , "details":
                      [
                        {
                          "type":"text"
                          , "text":"Load uses a Burst-coalesced non-aligned cached LSU.  Load with a private 512 kilobit cache. Cache is not shared with any other load. It is flushed on kernel start. Use Dynamic Profiler to verify cache effectiveness. Other kernels should not be updating the data in global memory while this kernel is using it. Cache is created when memory access pattern is data-dependent or appears to be repetitive. Simplify access pattern or mark pointer as 'volatile' to disable generation of this cache."
                        }
                        , {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned cached LSU,\nLoad with a private 512 kilobit cache"
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:75"
                  , "type":"resource"
                  , "data":
                  [32, 0, 0, 1.5, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":75
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Multiply"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 1.5, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
              ]
            }
          ]
        }
        , {
          "name":"conv.B3"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"State"
              , "type":"resource"
              , "data":
              [695, 3642, 0, 0, 137]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Live values and control logic"
                }
                , {
                  "type":"text"
                  , "text":"Resources for live values and control logic. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce size of local variables"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce scope of local variables, localizing them as much as possible"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce number of nested loops"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [695, 3642, 0, 0, 137]
                }
              ]
            }
            , {
              "name":"Feedback"
              , "type":"resource"
              , "data":
              [576, 2097, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Loop-carried dependencies"
                }
                , {
                  "type":"text"
                  , "text":"Resources for loop-carried dependencies. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce number and size of loop-carried variables"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [384, 1551, 0, 0, 0]
                }
                , {
                  "name":"conv_gen_shift5.cl:100"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":100
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:101"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":101
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:102"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":102
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:103"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":103
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:104"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":104
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:105"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":105
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:108"
                  , "type":"resource"
                  , "data":
                  [3.11111, 3.33333, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":108
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:131"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":131
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:132"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":132
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:136"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":136
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:140"
                  , "type":"resource"
                  , "data":
                  [4, 18, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":140
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:141"
                  , "type":"resource"
                  , "data":
                  [2.66667, 12, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":141
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:16"
                  , "type":"resource"
                  , "data":
                  [4, 18, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":16
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:18"
                  , "type":"resource"
                  , "data":
                  [5.33333, 24, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":18
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:21"
                  , "type":"resource"
                  , "data":
                  [8, 5, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":21
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:27"
                  , "type":"resource"
                  , "data":
                  [8, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":27
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:39"
                  , "type":"resource"
                  , "data":
                  [0.666667, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":39
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:41"
                  , "type":"resource"
                  , "data":
                  [25, 18, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":41
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:50"
                  , "type":"resource"
                  , "data":
                  [72, 324, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":50
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:54"
                  , "type":"resource"
                  , "data":
                  [7.22222, 6.66667, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":54
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:71"
                  , "type":"resource"
                  , "data":
                  [0.777778, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":71
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:73"
                  , "type":"resource"
                  , "data":
                  [0.666667, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":73
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:75"
                  , "type":"resource"
                  , "data":
                  [16.6667, 73, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":75
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:78"
                  , "type":"resource"
                  , "data":
                  [0.777778, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":78
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:81"
                  , "type":"resource"
                  , "data":
                  [0.777778, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":81
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:83"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":83
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:84"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":84
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:85"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":85
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:86"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":86
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:87"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":87
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:88"
                  , "type":"resource"
                  , "data":
                  [1.33333, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":88
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:96"
                  , "type":"resource"
                  , "data":
                  [1.55556, 2, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":96
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:98"
                  , "type":"resource"
                  , "data":
                  [6, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":98
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:99"
                  , "type":"resource"
                  , "data":
                  [0.777778, 1, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":99
                      }
                    ]
                  ]
                }
              ]
            }
            , {
              "name":"Cluster logic"
              , "type":"resource"
              , "data":
              [64, 64, 29, 0, 23]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Logic required to efficiently support sets of operations that do not stall"
                }
                , {
                  "type":"text"
                  , "text":"Logic required to efficiently support sets of operations that do not stall. This area cannot be affected directly."
                }
              ]
            }
            , {
              "name":"Computation"
              , "type":"resource"
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [66, 0, 0, 1.5, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":""
                        , "line":0
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit And"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                    , {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Multiply"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 1.5, 0]
                    }
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:39"
                  , "type":"resource"
                  , "data":
                  [3, 0.333333, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":39
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"3-bit Integer Compare"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [2, 0.333333, 0, 0, 0]
                    }
                    , {
                      "name":"3-bit Integer Subtract"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:54"
                  , "type":"resource"
                  , "data":
                  [33.7778, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":54
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [0.666667, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                    , {
                      "name":"5-bit Integer Add"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [1.11111, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:71"
                  , "type":"resource"
                  , "data":
                  [0.555556, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":71
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"5-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0.555556, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:73"
                  , "type":"resource"
                  , "data":
                  [3, 0.333333, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":73
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"3-bit Integer Compare"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [2, 0.333333, 0, 0, 0]
                    }
                    , {
                      "name":"3-bit Integer Subtract"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:75"
                  , "type":"resource"
                  , "data":
                  [4385, 5403.33, 43, 0, 13]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":75
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"3-bit Integer Compare"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [2, 0.333333, 0, 0, 0]
                    }
                    , {
                      "name":"3-bit Integer Subtract"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                    , {
                      "name":"Load"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [4350, 5403, 43, 0, 13]
                      , "details":
                      [
                        {
                          "type":"text"
                          , "text":"Load uses a Burst-coalesced non-aligned cached LSU.  Load with a private 512 kilobit cache. Cache is not shared with any other load. It is flushed on kernel start. Use Dynamic Profiler to verify cache effectiveness. Other kernels should not be updating the data in global memory while this kernel is using it. Cache is created when memory access pattern is data-dependent or appears to be repetitive. Simplify access pattern or mark pointer as 'volatile' to disable generation of this cache."
                        }
                        , {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned cached LSU,\nLoad with a private 512 kilobit cache"
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:78"
                  , "type":"resource"
                  , "data":
                  [0.555556, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":78
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"5-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0.555556, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:81"
                  , "type":"resource"
                  , "data":
                  [0.555556, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":81
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"5-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0.555556, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:83"
                  , "type":"resource"
                  , "data":
                  [0, 0, 0, 9, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":83
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Hardened Floating-point Dot Product of Size 2"
                      , "type":"resource"
                      , "count":4
                      , "data":
                      [0, 0, 0, 8, 0]
                    }
                    , {
                      "name":"Hardened Floating-point Multiply-Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0, 0, 0, 1, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:84"
                  , "type":"resource"
                  , "data":
                  [0, 0, 0, 9, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":84
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Hardened Floating-point Dot Product of Size 2"
                      , "type":"resource"
                      , "count":4
                      , "data":
                      [0, 0, 0, 8, 0]
                    }
                    , {
                      "name":"Hardened Floating-point Multiply-Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0, 0, 0, 1, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:85"
                  , "type":"resource"
                  , "data":
                  [0, 0, 0, 9, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":85
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Hardened Floating-point Dot Product of Size 2"
                      , "type":"resource"
                      , "count":4
                      , "data":
                      [0, 0, 0, 8, 0]
                    }
                    , {
                      "name":"Hardened Floating-point Multiply-Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0, 0, 0, 1, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:86"
                  , "type":"resource"
                  , "data":
                  [0, 0, 0, 9, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":86
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Hardened Floating-point Dot Product of Size 2"
                      , "type":"resource"
                      , "count":4
                      , "data":
                      [0, 0, 0, 8, 0]
                    }
                    , {
                      "name":"Hardened Floating-point Multiply-Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0, 0, 0, 1, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:87"
                  , "type":"resource"
                  , "data":
                  [0, 0, 0, 9, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":87
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Hardened Floating-point Dot Product of Size 2"
                      , "type":"resource"
                      , "count":4
                      , "data":
                      [0, 0, 0, 8, 0]
                    }
                    , {
                      "name":"Hardened Floating-point Multiply-Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0, 0, 0, 1, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:88"
                  , "type":"resource"
                  , "data":
                  [0, 0, 0, 9, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":88
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Hardened Floating-point Dot Product of Size 2"
                      , "type":"resource"
                      , "count":4
                      , "data":
                      [0, 0, 0, 8, 0]
                    }
                    , {
                      "name":"Hardened Floating-point Multiply-Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0, 0, 0, 1, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:96"
                  , "type":"resource"
                  , "data":
                  [1.11111, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":96
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"5-bit Integer Add"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [1.11111, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:99"
                  , "type":"resource"
                  , "data":
                  [0.555556, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":99
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"5-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0.555556, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:108"
                  , "type":"resource"
                  , "data":
                  [0.888889, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":108
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0.333333, 0, 0, 0, 0]
                    }
                    , {
                      "name":"5-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0.555556, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
              ]
            }
          ]
        }
        , {
          "name":"conv.B4"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"State"
              , "type":"resource"
              , "data":
              [9, 1165, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Live values and control logic"
                }
                , {
                  "type":"text"
                  , "text":"Resources for live values and control logic. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce size of local variables"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce scope of local variables, localizing them as much as possible"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce number of nested loops"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [9, 1165, 0, 0, 0]
                }
              ]
            }
            , {
              "name":"Feedback"
              , "type":"resource"
              , "data":
              [900, 3636, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Loop-carried dependencies"
                }
                , {
                  "type":"text"
                  , "text":"Resources for loop-carried dependencies. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce number and size of loop-carried variables"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [900, 3636, 0, 0, 0]
                }
              ]
            }
            , {
              "name":"Cluster logic"
              , "type":"resource"
              , "data":
              [24, 27, 0, 0, 58]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Logic required to efficiently support sets of operations that do not stall"
                }
                , {
                  "type":"text"
                  , "text":"Logic required to efficiently support sets of operations that do not stall. This area cannot be affected directly."
                }
              ]
            }
            , {
              "name":"Computation"
              , "type":"resource"
              , "children":
              [
                {
                  "name":"conv_gen_shift5.cl:112"
                  , "type":"resource"
                  , "data":
                  [0, 0, 0, 36, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":112
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Hardened Floating-point Add"
                      , "type":"resource"
                      , "count":36
                      , "data":
                      [0, 0, 0, 36, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
              ]
            }
          ]
        }
        , {
          "name":"conv.B5"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"State"
              , "type":"resource"
              , "data":
              [10, 196, 0, 0, 4]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Live values and control logic"
                }
                , {
                  "type":"text"
                  , "text":"Resources for live values and control logic. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce size of local variables"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce scope of local variables, localizing them as much as possible"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce number of nested loops"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [10, 196, 0, 0, 4]
                }
              ]
            }
            , {
              "name":"Cluster logic"
              , "type":"resource"
              , "data":
              [18, 27, 0, 0, 5]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Logic required to efficiently support sets of operations that do not stall"
                }
                , {
                  "type":"text"
                  , "text":"Logic required to efficiently support sets of operations that do not stall. This area cannot be affected directly."
                }
              ]
            }
            , {
              "name":"Computation"
              , "type":"resource"
              , "children":
              [
                {
                  "name":"conv_gen_shift5.cl:19"
                  , "type":"resource"
                  , "data":
                  [32, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":19
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:121"
                  , "type":"resource"
                  , "data":
                  [127, 0, 0, 3, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":121
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [63, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Multiply"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [64, 0, 0, 3, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
              ]
            }
          ]
        }
        , {
          "name":"conv.B6"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"State"
              , "type":"resource"
              , "data":
              [113, 2950, 0, 0, 2]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Live values and control logic"
                }
                , {
                  "type":"text"
                  , "text":"Resources for live values and control logic. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce size of local variables"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce scope of local variables, localizing them as much as possible"
                    }
                    , {
                      "type":"text"
                      , "text":"reduce number of nested loops"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [113, 2950, 0, 0, 2]
                }
              ]
            }
            , {
              "name":"Feedback"
              , "type":"resource"
              , "data":
              [65, 1292, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Loop-carried dependencies"
                }
                , {
                  "type":"text"
                  , "text":"Resources for loop-carried dependencies. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce number and size of loop-carried variables"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [9, 1156, 0, 0, 0]
                }
                , {
                  "name":"conv_gen_shift5.cl:119"
                  , "type":"resource"
                  , "data":
                  [10.3333, 10, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":119
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:121"
                  , "type":"resource"
                  , "data":
                  [16, 72, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":121
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:127"
                  , "type":"resource"
                  , "data":
                  [4.66667, 5, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":127
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:19"
                  , "type":"resource"
                  , "data":
                  [8, 36, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":19
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:21"
                  , "type":"resource"
                  , "data":
                  [8, 5, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":21
                      }
                    ]
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:41"
                  , "type":"resource"
                  , "data":
                  [9, 8, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":41
                      }
                    ]
                  ]
                }
              ]
            }
            , {
              "name":"Cluster logic"
              , "type":"resource"
              , "data":
              [18, 27, 0, 0, 18]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Logic required to efficiently support sets of operations that do not stall"
                }
                , {
                  "type":"text"
                  , "text":"Logic required to efficiently support sets of operations that do not stall. This area cannot be affected directly."
                }
              ]
            }
            , {
              "name":"Computation"
              , "type":"resource"
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [1152, 1152, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":""
                        , "line":0
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1152-bit Select"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1152, 1152, 0, 0, 0]
                    }
                  ]
                }
                , {
                  "name":"conv_gen_shift5.cl:119"
                  , "type":"resource"
                  , "data":
                  [38.6667, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":119
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [0.666667, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":3
                      , "data":
                      [35.3333, 0, 0, 0, 0]
                    }
                    , {
                      "name":"4-bit Integer Add"
                      , "type":"resource"
                      , "count":2
                      , "data":
                      [2.66667, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:121"
                  , "type":"resource"
                  , "data":
                  [403, 665.5, 2.66667, 1.5, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":121
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":3
                      , "data":
                      [65.6667, 0, 0, 0, 0]
                    }
                    , {
                      "name":"32-bit Integer Multiply"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [32, 0, 0, 1.5, 0]
                    }
                    , {
                      "name":"Store"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [305.333, 665.5, 2.66667, 0, 0]
                      , "details":
                      [
                        {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned LSU"
                        }
                        , {
                          "type":"text"
                          , "text":"Store uses a Burst-coalesced non-aligned LSU.  Use Dynamic Profiler to determine performance impact of this LSU."
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:122"
                  , "type":"resource"
                  , "data":
                  [305.333, 665.5, 2.66667, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":122
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"Store"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [305.333, 665.5, 2.66667, 0, 0]
                      , "details":
                      [
                        {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned LSU"
                        }
                        , {
                          "type":"text"
                          , "text":"Store uses a Burst-coalesced non-aligned LSU.  Use Dynamic Profiler to determine performance impact of this LSU."
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:123"
                  , "type":"resource"
                  , "data":
                  [310.333, 665.5, 2.66667, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":123
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [5, 0, 0, 0, 0]
                    }
                    , {
                      "name":"Store"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [305.333, 665.5, 2.66667, 0, 0]
                      , "details":
                      [
                        {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned LSU"
                        }
                        , {
                          "type":"text"
                          , "text":"Store uses a Burst-coalesced non-aligned LSU.  Use Dynamic Profiler to determine performance impact of this LSU."
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:124"
                  , "type":"resource"
                  , "data":
                  [310.333, 665.5, 2.66667, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":124
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [5, 0, 0, 0, 0]
                    }
                    , {
                      "name":"Store"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [305.333, 665.5, 2.66667, 0, 0]
                      , "details":
                      [
                        {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned LSU"
                        }
                        , {
                          "type":"text"
                          , "text":"Store uses a Burst-coalesced non-aligned LSU.  Use Dynamic Profiler to determine performance impact of this LSU."
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:125"
                  , "type":"resource"
                  , "data":
                  [310.333, 665.5, 2.66667, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":125
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [5, 0, 0, 0, 0]
                    }
                    , {
                      "name":"Store"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [305.333, 665.5, 2.66667, 0, 0]
                      , "details":
                      [
                        {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned LSU"
                        }
                        , {
                          "type":"text"
                          , "text":"Store uses a Burst-coalesced non-aligned LSU.  Use Dynamic Profiler to determine performance impact of this LSU."
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:126"
                  , "type":"resource"
                  , "data":
                  [310.333, 665.5, 2.66667, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":126
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"32-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [5, 0, 0, 0, 0]
                    }
                    , {
                      "name":"Store"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [305.333, 665.5, 2.66667, 0, 0]
                      , "details":
                      [
                        {
                          "type":"brief"
                          , "text":"Burst-coalesced non-aligned LSU"
                        }
                        , {
                          "type":"text"
                          , "text":"Store uses a Burst-coalesced non-aligned LSU.  Use Dynamic Profiler to determine performance impact of this LSU."
                        }
                      ]
                    }
                  ]
                  , "replace_name":"true"
                }
                , {
                  "name":"conv_gen_shift5.cl:127"
                  , "type":"resource"
                  , "data":
                  [1.66667, 0, 0, 0, 0]
                  , "debug":
                  [
                    [
                      {
                        "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
                        , "line":127
                      }
                    ]
                  ]
                  , "children":
                  [
                    {
                      "name":"1-bit Or"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [0.333333, 0, 0, 0, 0]
                    }
                    , {
                      "name":"4-bit Integer Add"
                      , "type":"resource"
                      , "count":1
                      , "data":
                      [1.33333, 0, 0, 0, 0]
                    }
                  ]
                  , "replace_name":"true"
                }
              ]
            }
          ]
        }
        , {
          "name":"conv.B8"
          , "type":"basicblock"
          , "children":
          [
            {
              "name":"Feedback"
              , "type":"resource"
              , "data":
              [5, 8, 0, 0, 0]
              , "details":
              [
                {
                  "type":"brief"
                  , "text":"Loop-carried dependencies"
                }
                , {
                  "type":"text"
                  , "text":"Resources for loop-carried dependencies. To reduce this area:"
                  , "details":
                  [
                    {
                      "type":"text"
                      , "text":"reduce number and size of loop-carried variables"
                    }
                  ]
                }
              ]
              , "children":
              [
                {
                  "name":"No Source Line"
                  , "type":"resource"
                  , "data":
                  [5, 8, 0, 0, 0]
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}
